The «[**Sales Documents Numeration**](https://mage2.pro/c/extensions/sales-documents-numeration)» extension for Magento 2 allows you to use a custom numeration for the sales documents: orders, invoices, shipments, and credit memos.

**Demo video**: https://www.youtube.com/watch?v=alcoJyoby1M

## Screenshots
### 1. Custom order number
![](https://mage2.pro/uploads/default/original/1X/f891d6a5c0255658fab21312ba176db1aabcd7da.png)

![](https://mage2.pro/uploads/default/original/1X/7c382a130198d321401a083e432e59b279bcdcb9.png)

### 2. Custom invoice number
![](https://mage2.pro/uploads/default/original/1X/210dd343c4d53b735b5b10e0852115c52edc004d.png)

### 3. Custom shipment number
![](https://mage2.pro/uploads/default/original/1X/39516735d7f50eb016da67a43a3834fd0b620910.png)

### 4. Custom credit memo number
![](https://mage2.pro/uploads/default/original/1X/0c8ae7bb607e4aa962c77a4e074938ed74368edc.png)

### 5. Extension settings
![](https://mage2.pro/uploads/default/original/1X/2510f608780d4fb4f7c05f18c245f2ec695294b4.png)

## How to buy
You can buy it with PayPal [here](https://mage2.pro/t/512).  

## How to install
### 1. Free installation service
Just order my [free installation service](https://mage2.pro/t/3585).

### 2. Self-installation
```
composer require mage2pro/sales-sequence:*
bin/magento setup:upgrade
rm -rf pub/static/* && bin/magento setup:static-content:deploy <locale, e.g.: en_GB>
rm -rf var/di var/generation && bin/magento setup:di:compile
```
If you have some problems while executing these commands, then check the [detailed instruction](https://mage2.pro/t/263).

## Licensing
It is a paid extension, not free.  
You can use it for free for the testing puproses only.  
Please read the [testing policy](https://mage2.pro/t/2590) before installation.

## Support
- [The extension's **forum** branch](https://mage2.pro/c/extensions/sales-documents-numeration).
- [Where and how to report a Mage2.PRO extension's issue?](https://mage2.pro/t/2034)
- I also provide a **[generic Magento 2 support](https://mage2.pro/t/topic/755)** and [Magento 2 installation service](https://mage2.pro/t/748).

## Want to be notified about the extension's updates?
- [Subscribe](https://mage2.pro/t/2540) to the extension's [forum branch](https://mage2.pro/c/extensions/sales-documents-numeration).
- Subscribe to my [Twitter](https://twitter.com/mage2_pro) and [YouTube](https://www.youtube.com/channel/UCvlDAZuj01_b92pzRi69LeQ) channels.

## Need a new feature?
I provide the [**customization service**](https://mage2.pro/t/2020) for my payment extensions.

## Need a payment extension for Magento 2?

- «[**2Checkout**](https://mage2.pro/c/extensions/2checkout)» payment extension
- «[**歐付寶 allPay**](https://mage2.pro/c/extensions/allpay)» payment extension (Taiwan)
- «[**Checkout.com**](https://mage2.pro/c/extensions/checkout-com)» payment extension
- «[**Ginger Payments**](https://mage2.pro/c/extensions/ginger-payments)» extension (the Netherlands, Belgium).
- «[**iyzico**](https://mage2.pro/c/extensions/iyzico)» payment extension (Turkey)
- «[**Kassa Compleet**](https://mage2.pro/c/extensions/kassa-compleet)» payment extension by ING Bank (the Netherlands).
- «[**Klarna**](https://mage2.pro/c/extensions/klarna)» payment extension (Austria, Denmark, Finland, Germany, Norway, Sweden)
- «[**Omise**](https://mage2.pro/c/extensions/omise)» payment extension (Thailand, Japan)
- «[**Paymill**](https://mage2.pro/c/extensions/paymill)» payment extension (the European Union)
- «[**SecurePay**](https://mage2.pro/c/extensions/securepay)» payment extension (Australia)
- «[**Spryng**](https://mage2.pro/c/extensions/spryng)» payment extension (the European Union)
- «[**Square**](https://mage2.pro/c/extensions/square)» payment extension (USA, Canada)
- «[**Stripe**](https://mage2.pro/c/extensions/stripe)» payment extension

## See also my other Magento 2 extensions:

- «[**Price Format**](https://mage2.pro/c/extensions/price-format)» (set a custom display format for the prices and other currency values: discounts, taxes, sales amounts).
- «[**Sales Documents Numeration**](https://mage2.pro/c/extensions/sales-documents-numeration)» (use a custom numeration for the sales documents: orders, invoices, shipments, and credit memos).
- «[**Login with Amazon**](https://mage2.pro/c/extensions/amazon-login)» (a single sign-on extension). 
- «[**Backend Login with Google Account**](https://mage2.pro/c/extensions/google-backend-login)» (a single sign-on extension for the Magento 2 backend). 
- «[**Facebook Login**](https://mage2.pro/c/extensions/facebook-login)» (a single sign-on extension).
- «[**Blackbaud NetCommunity**](https://mage2.pro/c/extensions/blackbaud-netcommunity)» (an  integration with an online fundraising software).  
- «[**Markdown Editor**](https://mage2.pro/c/extensions/markdown)» (an alternative content editor for the Magento 2 backend).
- «[**Twitter Timeline**](https://mage2.pro/c/extensions/twitter-timeline)» (shows your latest tweets in your store's frontend sidebar).
- «[**Facebook Like & Share**](https://mage2.pro/c/extensions/facebook-like)» (shows the Facebook's «Like» and «Share» buttons on the frontend product pages).

## Need a custom payment extension?
I provide a [custom payment gateway integration service](https://mage2.pro/t/917).

